Skip to main content
GET
Get a version

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dictionary_id
string
required
version_id
string
required

Response

Request fulfilled, document follows

A version with its full ordered rule list.

id
string
required

Stable version identifier.

Example:

"1c3e5a7b9d0f4a2c8e6b4d1f3a5c7e9b"

dictionary_id
string
required

Dictionary this version belongs to.

Example:

"9b2f5c0d4e6a4f4c8a1d3e5f7a9b0c2d"

description
string
required

Version note entered when publishing.

Example:

"Add the new product names"

created_at
string<date-time>
required

Publish time (UTC).

Example:

"2026-11-05T04:02:44Z"

items
PronunciationDictionaryV1Item · object[]
required

Rules in application order.

version_number
integer | null

Monotonic version number within the dictionary. Null only for versions published before version numbers existed.

Example:

3

added_count
integer
default:0

Rules added relative to the previous version.

Example:

2

removed_count
integer
default:0

Rules removed relative to the previous version.

Example:

0

changed_count
integer
default:0

Rules whose key, value, type or case sensitivity changed.

Example:

1

item_count
integer
default:0

Total number of rules in this version.

Example:

12